PHP File Inclusion

Revision as of 11:12, 3 October 2007 by Kaf (Talk | contribs)

Jump to: navigation, search

This is a Vulnerability. To view all vulnerabilities, please see the Vulnerability Category page.


PHP as many other languages allow the inclution of files in order to provide or extend the functionality of the current file.


<?PHP include '/path/filename.php'; include_once 'path/filename.class.php'; require '../path/'; require_once ''; ?>

Related Threats

Remote file inclusion using variables from the request POST or GET

Related Attacks

Related Vulnerabilities

Related Countermeasures


This article is a stub. You can help OWASP by expanding it or discussing it on its Talk page.